Page MenuHomePhabricator

[LV] Remove a change that was added in D106164.
ClosedPublic

Authored by sdesmalen on Jul 27 2021, 8:04 AM.

Details

Summary

This change wasn't strictly necessary for D106164 and could be removed.
This patch addresses the post-commit comments from @fhahn on D106164, and
also changes sve-widen-gep.ll to use the same IR test as shown in
pointer-induction.ll.

Diff Detail

Event Timeline

sdesmalen created this revision.Jul 27 2021, 8:04 AM
sdesmalen requested review of this revision.Jul 27 2021, 8:04 AM
Herald added a project: Restricted Project. · View Herald TranscriptJul 27 2021, 8:04 AM
fhahn accepted this revision.Aug 3 2021, 2:36 AM

LGTM, thanks!

This revision is now accepted and ready to land.Aug 3 2021, 2:36 AM
fhahn added a comment.Aug 3 2021, 2:37 AM

Looks like `sve-widen-gep.ll is failing in the pre-merge failures ,might be good to double check those failures before committing

This revision was landed with ongoing or failed builds.Aug 5 2021, 6:45 AM
This revision was automatically updated to reflect the committed changes.